Announcement

Collapse
No announcement yet.

mesa git fails to compile today (march 10)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • mesa git fails to compile today (march 10)

    Hey guys, I'm having some difficulty compiling mesa from git today. I'm getting an error message saying that there is no make target for winsys in radeon.

    I'm in windows right now to post this, but I can get a log of the message and post it back here if you need it. I suspect though that you'll be able to dup the error yourself.

    Thanks guys, no big rush.

  • #2
    No problems here. Built on Lucid with xorg-edgers PPA.

    Comment


    • #3
      Originally posted by rob2687 View Post
      No problems here. Built on Lucid with xorg-edgers PPA.
      I'm installing using gentoo from the x11 overlay. I've unmasked mesa-9999, xorg-server-9999 and gentoo-sources-2.6.33. Is there anything else I'm missing that should also be installed from git?

      Comment


      • #4
        damn 1 minute edit limit.....

        And xf86-video-ati-9999

        Comment


        • #5
          Another question....

          Does the kernel need to be installed with the proper DRM and KMS bits before mesa will compile?

          Comment


          • #6
            you need libdrm_radeon installed for kms support in mesa, but having the kernel installed doesn't matter.

            Comment


            • #7
              It's the same for me here as well.
              But nothing unusual I guess. After all this is straight-from-git code, breakage is to be expected. Just wait a few days, then it'll probably be fixed.

              Comment


              • #8
                Originally posted by Zhick View Post
                It's the same for me here as well.
                But nothing unusual I guess. After all this is straight-from-git code, breakage is to be expected. Just wait a few days, then it'll probably be fixed.
                Oh yeah I know. I'm just more trying to help out. If there is anything I can test then I'll be glad to do it. I realize that this is the actual development code that I'm trying to build. The reason that I like Phoronix is that many developers and representatives come here to help out the <guru

                Comment


                • #9
                  Originally posted by agd5f View Post
                  you need libdrm_radeon installed for kms support in mesa, but having the kernel installed doesn't matter.
                  libdrm_radeon is part of the kernel DRM? Or is it a userspace package?

                  Comment


                  • #10
                    Originally posted by duby229 View Post
                    libdrm_radeon is part of the kernel DRM? Or is it a userspace package?
                    It's the userspace package named libdrm.

                    Comment


                    • #11
                      Originally posted by pvtcupcakes View Post
                      It's the userspace package named libdrm.
                      If I install libdrm then I wont need to enable DRM in the kernel? But I will still need to enable the KMS driver.

                      Comment


                      • #12
                        Originally posted by duby229 View Post
                        If I install libdrm then I wont need to enable DRM in the kernel? But I will still need to enable the KMS driver.
                        You still need the drm in the kernel. It's just that no packages depend on the kernel directly.

                        Comment

                        Working...
                        X